---
# - include: create_service.yml
#   vars:
#     username: glance
#     password: "{{ openstack_admin_password }}"
#   environment: "{{ token_auth_env }}"

- name: 'Check "{{ username }}" user exists'
  command: openstack --insecure user show "{{ username }}"
  register: userExist
  ignore_errors: True
  run_once: True
  environment: "{{ admin_auth_env }}"

- name: 'Create the "{{ username }}" user'
  command: openstack --insecure user create  --domain default --password "{{ password }}"  "{{ username }}"
  when: userExist is failed
  run_once: True
  environment: "{{ admin_auth_env }}"

- name: 'Add "{{ role }}" role to the "{{ username }}" user to the {{ project }} project'
  command: openstack --insecure role add --project {{ project }} --user "{{ username }}" "{{ role }}"
  when: userExist is failed
  run_once: True
  environment: "{{ admin_auth_env }}"
